# Class Metric

java.lang.Object
org.apache.zookeeper.server.metric.Metric

Direct Known Subclasses:
  `AvgMinMaxCounter, AvgMinMaxCounterSet, AvgMinMaxPercentileCounter, AvgMinMaxPercentileCounterSet, SimpleCounter, SimpleCounterSet`

public abstract class Metric extends Object

## Constructor Summary

Constructors
Constructor
Description
`Metric()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int key, long value)`
`void`
`add(long value)`
`void`
`add(String key, long value)`
`void`
`reset()`
`abstract Map<String,Object>`
`values()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Metric

public Metric()

## Method Details

### add

public void add(long value)

### add

public void add(int key, long value)

### add

public void add(String key, long value)

### reset

public void reset()

### values

public abstract Map<String,Object> values()